<template>
<div class="flexbox-container">
    <form @submit.prevent="onSignUp">

    <img src="http://bulma.io/images/bulma-logo.png" alt="Bulma logo" class="logo">
    
    <h6 class="line-on-side text-muted text-xs-center font-small-3 pt-2"><span>Sign Up</span></h6>

    <b-field>
        <b-input placeholder="Email"
            type="email"
            icon="email"
            v-model="email"
            required>
        </b-input>
    </b-field>

    <b-field>
        <b-input type="password"
            placeholder="Password"
            icon="vpn_key"
            v-model="password"
            password-reveal
            required>
        </b-input>
    </b-field>

    <button class="button is-primary">
        <b-icon icon="lock_open"></b-icon>
        <span>Sign Up</span>
    </button>
    </form>
</div>
</template>

<script>
import { mapState } from 'vuex'

const checkLogin = (store) => store.dispatch('CHECK_LOGIN')

export default {
    layout: 'blank',
    data () {
        return {
            email: null,
            password: null,
            error: null
        }
    },
    computed: mapState({
        isAuthenticating: (state) => state.auth.isAuthenticating,
        isAuthenticated: (state) => state.auth.authenticated
    }),
    methods: {
        onSignUp() {
            this.$store.dispatch('SIGNUP', {
                email: this.email,
                password: this.password,
            }).then((res) => console.log(res))
            .catch((error) => {
                this.error = error.message;
                console.log(error);
            })
        },
    },
    beforeMount () {
        // checkLogin(this.$store).then(() => this.$router.go(-1))
    }
}
</script>

<style scoped>
.flexbox-container {
    display: flex;
    align-items: center;
    height: 100vh;
}
form {
    width: 100%;
    max-width: 400px;
    margin: auto;
    padding: 1.5rem;
    box-shadow: 0 8px 17px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
img {
    max-width: 115px;
}
.line-on-side {
    border-bottom: 1px solid #dadada;
    line-height: 0.1em;
    margin: 10px 0 20px;
    text-align: center;
}
.line-on-side span {
    background: #fff;
    padding: 0 10px;
}
button {
    width: 100%;
}
</style>